# Get

Launch stage: GA

`GET /api/2.0/accounts/{account_id}/workspaces/{workspace_id}`

Gets information including status for a <Databricks> workspace, specified by ID. In the response, the `workspace_status` field indicates the current status. After initial workspace creation (which is asynchronous), make repeated `GET` requests with the workspace ID and check its status. The workspace becomes available when the status changes to `RUNNING`.
 For information about how to create a new workspace with this API **including error handling**, see [Create a new workspace using the Account API](http://docs.databricks.com/administration-guide/account-api/new-workspace.html).

API scopes: provisioning

## Path parameters

- `workspace_id` (int64, optional)
- `account_id` (string, optional)

## Returns

Returns the Workspace object.

## Response

```json
{
  "workspace_id": 0,
  "workspace_name": "string",
  "aws_region": "string",
  "creation_time": 0,
  "deployment_name": "string",
  "workspace_status": "string",
  "account_id": "string",
  "credentials_id": "string",
  "storage_configuration_id": "string",
  "workspace_status_message": "string",
  "network_id": "string",
  "gcp_managed_network_config": {
    "subnet_cidr": "string",
    "gke_cluster_pod_ip_range": "string",
    "gke_cluster_service_ip_range": "string"
  },
  "pricing_tier": "string",
  "private_access_settings_id": "string",
  "managed_services_customer_managed_key_id": "string",
  "storage_customer_managed_key_id": "string",
  "location": "string",
  "cloud": "string",
  "network": {
    "gcp_managed_network_config": {},
    "network_id": "string",
    "gcp_common_network_config": {}
  },
  "azure_workspace_info": {
    "resource_group": "string",
    "subscription_id": "string"
  },
  "gke_config": {
    "connectivity_type": "string",
    "master_ip_range": "string"
  },
  "cloud_resource_container": {
    "gcp": {}
  },
  "custom_tags": {},
  "network_connectivity_config_id": "string",
  "storage_mode": "string",
  "compute_mode": "string"
}
```

